commoble.exmachina.circuit

## Class CircuitBuilder

- java.lang.Object
- - commoble.exmachina.circuit.CircuitBuilder

    public class CircuitBuilder
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `CircuitBuilder.ElementContext`

### Constructor Summary

Constructors
Constructor and Description
`CircuitBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static net.minecraftforge.common.util.LazyOptional<commoble.exmachina.api.Circuit>` `attemptToBuildCircuitFrom(net.minecraft.world.IWorld world, net.minecraft.util.math.BlockPos pos)`
`static net.minecraftforge.common.util.LazyOptional<commoble.exmachina.api.Circuit>` `buildCircuit(net.minecraft.world.IWorld world, java.util.Map<net.minecraft.util.math.BlockPos,org.apache.commons.lang3.tuple.Pair<net.minecraft.block.BlockState,DefinedCircuitComponent>> components)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBuilder

    public CircuitBuilder()

### Method Detail

#### attemptToBuildCircuitFrom

    public static net.minecraftforge.common.util.LazyOptional<commoble.exmachina.api.Circuit> attemptToBuildCircuitFrom(net.minecraft.world.IWorld world,
                                                                                                                        net.minecraft.util.math.BlockPos pos)

#### buildCircuit

    public static net.minecraftforge.common.util.LazyOptional<commoble.exmachina.api.Circuit> buildCircuit(net.minecraft.world.IWorld world,
                                                                                                           java.util.Map<net.minecraft.util.math.BlockPos,org.apache.commons.lang3.tuple.Pair<net.minecraft.block.BlockState,DefinedCircuitComponent>> components)